diff --git a/oio-unix.c b/oio-unix.c
index 5d08abe3b8..0c035090a9 100644
--- a/oio-unix.c
+++ b/oio-unix.c
@@ -236,8 +236,7 @@ void oio__server_io(EV_P_ ev_io* watcher, int revents) {
 }
 
 
-int oio_tcp_handle_accept(oio_handle* server, oio_handle* client,
-    oio_close_cb close_cb, void* data) {
+int oio_tcp_handle_accept(oio_handle* server, oio_handle* client) {
   if (server->accepted_fd < 0) {
     return -1;
   }
diff --git a/oio.h b/oio.h
index 9f1e56bf9f..a3a1b4c2ea 100644
--- a/oio.h
+++ b/oio.h
@@ -107,8 +107,7 @@ int oio_shutdown(oio_req* req);
 
 /* TCP server methods. */
 int oio_listen(oio_handle* handle, int backlog, oio_accept_cb cb);
-int oio_tcp_handle_accept(oio_handle* server, oio_handle* client,
-                          oio_close_cb close_cb, void* data);
+int oio_tcp_handle_accept(oio_handle* server, oio_handle* client);
 
 /* Generic handle methods */
 int oio_read(oio_req* req, oio_buf* bufs, int bufcnt);
diff --git a/test/echo-server.c b/test/echo-server.c
index b269e129cc..fdd91ee7cf 100644
--- a/test/echo-server.c
+++ b/test/echo-server.c
@@ -67,7 +67,7 @@ void on_accept(oio_handle* server) {
   int r = oio_tcp_handle_init(&p->handle, on_close, (void*)p);
   ASSERT(!r)
 
-  if (oio_tcp_handle_accept(server, &p->handle, on_close, (void*)p)) {
+  if (oio_tcp_handle_accept(server, &p->handle)) {
     FATAL(oio_tcp_handle_accept failed)
   }
 
